
Figure - Bug #117669
【BSP】【实车】【客户反馈】整车下电后副屏不能关机，也无法连接wifi
2023-04-25 20:28 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-04-25

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 中控62debug，副屏86user

Resolution: FIXED Degrated: --

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause: 整车的CAN信号影响MCU升级导致无法关机

Description

【测试步骤】

客户处实车操作整车上下电

【预期结果】

可以正常上下电

【测试结果】

整车下电后副屏不能关机，也无法连接wifi

【备注】

1、中间下了几个软件 安装到某一个的时候出现了卡顿 然后一系列问题

2、中控62debug，副屏86user

History

#1 - 2023-04-25 20:42 - CDTS_TEST 王成

- Category set to BSP

#2 - 2023-04-26 00:11 - CD TPM-王祥林

车辆副屏控制器的软件版本为0086 user版本，中控为0062版本，中途我们曾经尝试进行wifi恢复出厂设置，无果。曾经尝试，重新上下电，无果，仍然wifi

无法使用。同时有查询存储空间，余额100多M,相当充裕

#3 - 2023-05-04 21:03 - CD TPM-王祥林

1.通过日志分析，发现不能下电的问题和下面这个问题相同，都是MPU未收到MCU的关机指令。

https://share.thundersoft.com/redmine/issues/117300

2.wifi不能用的问题需要继续调查，但优先级可以放低。

#4 - 2023-05-04 21:16 - CD TPM-王祥林

- Category changed from BSP to LC

- Assignee changed from CD TPM-王祥林 to CD LC 陶洪普

- Severity changed from Critical to Normal

#5 - 2023-05-04 22:37 - CD LC 陶洪普
- Category changed from LC to BSP

- Assignee changed from CD LC 陶洪普 to CD TPM-王祥林

- Severity changed from Normal to Critical

从tlog_sts40x190051_000419_0425164713.tar.gz的000419时间段分析有下面另种连接

- 连接　SSID 'OTA'后，获取到IP

- 日志中显示，用户选择连接 SSID，断开 SSID 'OTA'，连接HiPhi000144后，获取到IP。

----------------------------------------

＃　连接　SSID 'OTA'

data/tlog/persist/000419_persist_00612_230328_201627.log:03-28 20:16:29.606  3810  3810 I wpa_supplicant: wlan0: Trying to associate with SSID 'OTA'

data/tlog/persist/000419_persist_00612_230328_201627.log:03-28 20:16:30.010  3810  3810 I wpa_supplicant: wlan0: Associated with 94:b2:71:53:db:b0

data/tlog/persist/000419_persist_00612_230328_201627.log:03-28 20:16:30.012  3810  3810 I wpa_supplicant: wlan0: WPA: RX message 1 of 4-Way Handshake from

94:b2:71:53:db:b0 (ver=2)

data/tlog/persist/000419_persist_00612_230328_201627.log:03-28 20:16:30.012  3810  3810 I wpa_supplicant: wlan0: WPA: Sending EAPOL-Key 2/4

data/tlog/persist/000419_persist_00612_230328_201627.log:03-28 20:16:30.012  3810  3810 I wpa_supplicant: wlan0: CTRL-EVENT-SUBNET-STATUS-UPDATE

status=0

data/tlog/persist/000419_persist_00612_230328_201627.log:03-28 20:16:30.063  3810  3810 I wpa_supplicant: wlan0: CTRL-EVENT-REGDOM-CHANGE init=DRIVER

type=COUNTRY alpha2=CN

data/tlog/persist/000419_persist_00612_230328_201627.log:03-28 20:16:30.063  3810  3810 I wpa_supplicant: wlan0: CTRL-EVENT-AVOID-FREQ ranges=

data/tlog/persist/000419_persist_00612_230328_201627.log:03-28 20:16:30.063  3810  3810 I wpa_supplicant: wlan0: WPA: RX message 3 of 4-Way Handshake from

94:b2:71:53:db:b0 (ver=2)

data/tlog/persist/000419_persist_00612_230328_201627.log:03-28 20:16:30.063  3810  3810 I wpa_supplicant: wlan0: WPA: Sending EAPOL-Key 4/4

data/tlog/persist/000419_persist_00612_230328_201627.log:03-28 20:16:30.105  3810  3810 I wpa_supplicant: wlan0: WPA: Group rekeying completed with

94:b2:71:53:db:b0 [GTK=TKIP]

＃　连接后，获取到IP

data/tlog/persist/000419_persist_00612_230328_201627.log:03-28 20:16:30.268  2232  3813 D DhcpClient: Confirmed lease:

android.net.networkstack.DhcpResults@5d2234c DHCP server /10.21.5.254 Vendor info null lease 86400 seconds Servername

    1. 日志中显示，用户选择连接 SSID

data2/tlog/persist/000419_persist_00625_230328_202113.log:03-28 20:21:20.629  1503  1864 D WifiClientModeImpl[wlan0]: ConnectedMacRandomization SSID.

setMacAddress(c2:5c:34:0e:5e:1c) from 9e:15:b5:ec:20:e8 = true

...

data2/tlog/persist/000419_persist_00625_230328_202113.log:03-28 20:21:20.137  1503  1864 D WifiConfigManager: Enable disabled network: "HiPhi000144" num=0

...

    2. 连接　SSID　主动断开　94:b2:71:53:db:b0 　'OTA'

data2/tlog/persist/000419_persist_00625_230328_202113.log:03-28 20:21:20.481  3810  3810 I wpa_supplicant: wlan0: CTRL-EVENT-DISCONNECTED

bssid=94:b2:71:53:db:b0 reason=3 locally_generated=1

...

data2/tlog/persist/000419_persist_00625_230328_202113.log:03-28 20:21:20.985  3810  3810 I wpa_supplicant: wlan0: Associated with b2:e6:2a:32:94:bf

data2/tlog/persist/000419_persist_00625_230328_202113.log:03-28 20:21:20.985  3810  3810 I wpa_supplicant: wlan0: CTRL-EVENT-SUBNET-STATUS-UPDATE

status=0

...

data2/tlog/persist/000419_persist_00625_230328_202113.log:03-28 20:21:21.439  2232  3813 D DhcpClient: Received packet: c2:5c:34:0e:5e:1c ACK: your new IP

/192.168.50.218, netmask /255.255.255.0, gateways [/192.168.50.86] DNS servers: /192.168.50.86 , lease time 3599

data2/tlog/persist/000419_persist_00625_230328_202113.log:03-28 20:21:21.441  2232  3813 D DhcpClient: Confirmed lease:

android.net.networkstack.DhcpResults@3f7251f DHCP server /192.168.50.86 Vendor info ANDROID_METERED lease 3599 seconds Servername

#6 - 2023-05-04 22:39 - CD LC 陶洪普

- Status changed from New to NEED_INFO

- Assignee changed from CD TPM-王祥林 to CDTS_TEST 王成
也无法连接wifi

请参照上一条Comment说明，请详细说明不能连接现象发生时间，SSID，谢谢！

#7 - 2023-05-17 14:39 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 王成 to CD TPM-王祥林

#8 - 2023-05-17 19:24 - CD TPM-王祥林

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to FIXED

- Root cause set to 整车的CAN信号影响MCU升级导致无法关机

1.下电不能关机的问题已经修复。

https://dev.thundercomm.com/gerrit/c/Pre_figure/mcu/+/199869

https://dev.thundercomm.com/gerrit/c/Pre_figure/mcu/+/198906

2.wifi功能后续会关闭，不做处理。

#9 - 2023-05-17 19:24 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to CDTS_TEST 王成

#10 - 2023-05-23 19:54 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#11 - 2023-05-23 19:54 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

tlog_sts40x190051_000419_0425164713.tar.gz 28.3 MB 2023-04-25 CDTS_TEST 王成
